vbe_mode_info_s Struct Reference
Public interface » ID macros » Device information structs

VESA BIOS mode information item. More...

`#include <hd.h>`

## Data Fields

unsigned | number
| mode number
unsigned | attributes
| mode attributes
unsigned | width
unsigned | height
| mode size
unsigned | bytes_p_line
| line length
unsigned | pixel_size
| bits per pixel
unsigned | fb_start
| frame buffer start address (if any)
unsigned | win_A_start
| window A start address
unsigned | win_A_attr
| window A attributes
unsigned | win_B_start
| window B start address
unsigned | win_B_attr
| window B attributes
unsigned | win_size
| window size in bytes
unsigned | win_gran
| window granularity in bytes
unsigned | pixel_clock
| maximum pixel clock

## Detailed Description

VESA BIOS mode information item.

The documentation for this struct was generated from the following file:

- hd.h